@echo off
set comport=COM9

echo Starting the flashing process on port %comport%...
"C:\Program Files (x86)\Arduino/hardware/tools/avr/bin/avrdude" ^
-C "C:\Program Files (x86)\Arduino/hardware/tools/avr/etc/avrdude.conf" ^
-p atmega328PB -c avrisp -P %comport% -b 19200 ^
-Uflash:w:optiboot_atmega328.hex:i -Ulock:w:0x0F:m

REM Check the flashing status
if %ERRORLEVEL% equ 0 (
    echo Flashing completed successfully!
) else (
    echo Error during flashing. Error code: %ERRORLEVEL%.
)

ping -n 105 127.0.0.1 > NUL
